HASP Diagnostics

Using The HASP Diagnostics

In instances where your HASP driver has not been loaded correctly or where there are problems with the driver, you can use the HASP diagnostics supplied on the Pulsonix installation CD-ROM.
The HASP diagnostics programs are located in the \HASP folder on the CD.

There are two programs supplied which will enable you to install or uninstall the HASP driver interactively. Under a normal installation, the Pulsonix Setup program will detect and install the HASP driver without any interaction from the user.
In extreme cases, where for some reason, the operating system has 'grabbed' the HASP driver and won't let you change or remove it, there is also a program (hinstall.exe) which is command line driven and can be executed from a DOS Prompt command window. If you have to use this, please refer to the Pulsonix support desk for guidance.

Using The Diagnostics

- diagnostix.exe

The Diagnostix program is used to determine whether the HASP key is visible (by the software) on the parallel or USB comms port.

For more detailed information about using Diagnostix click here.

- hdd32.exe

This program is used to install or uninstall the HASP key driver onto your system. This is used after you have checked the status of the HASP driver using the Diagnostix program.

For more detailed information about using hdd32 click here.

Related Topics

HASP Diagnostics | Using Diagnostix | Using hdd32


USB Driver

Checking and installing the USB driver

If using a USB key instead of the parallel port key, before reinstalling the HASP driver, it is worth checking the status of the USB driver.
To do this you should use the Control Panel and the Add/Remove Hardware utility within it.
This is a Windows Plug & Play option and will auto-detect any missing hardware drivers which are required. With the HASP USB key attached, this will detect the missing driver (unless already installed). It is also worth noting that if you have reinstalled the operating system, you will need to reinstall the USB driver.

Using the Add New Hardware Wizard

  1. Once you have opted for the Wizard to detect the new driver if the HASP USB driver is not already installed the Wizard will display a dialog like the one below:

  2. From this, you should select the HASP4 USB name in the Devices: list and then click Next.
  3. On the next page you will be requested to select whether the system uses the Automatic driver detection or whether you select one yourself.
  4. Choose one of the options and click Next to follow the instructions. If you have the driver on a CD use the Have Disk option, if not use the automatic detection and system driver. In most instances this will work fine.
  5. Once completed, the USB port will be ready to use. You must now install the HASP key driver.


Diagnostix Program

Using The Diagnostix Utility

The Diagnostix utility is used to check the communications between the computer and the HASP key.

Using the Diagnostix utility

  1. Using the Windows Explorer, locate the \hasp folder on the CD-ROM.
  2. Double-click on the Diagnostix.exe program. You are presented with the following dialog:

  3. Click on the HASP entry in the left-hand pane. The right-hand pane will refresh with options for accessing the Hasp driver and key.

  4. For the HASP4 key which Pulsonix uses, use the Check if any key is connected option. Click Check Key. This program does a check of the key and reports the status. If the driver and key are correctly installed, the program reports "0" as the error

  5. If an error occurs, for example if the key is not connected, an appropriate error message is displayed:

Related Topics

Using The HDD32 Program | Installing the USB Driver


HDD32 Program

Using The HDD32 Utility

The HDD32 utility is used to install and uninstall the HASP key driver from your system.

Using The Dialog

  1. Using the Windows Explorer, locate the \hasp folder on the CD-ROM.
  2. Double-click on the hdd32.exe program. You are presented with the following dialog:

  3. From this message dialog select the desired language.

  4. The next page informs you of the status of the key driver.

  5. This will give you an indication of the status of the driver.
  6. Click the Next button to begin the installation.

Related Topics

Using Diagnostix | Installing the USB Driver